#include <stdio.h>
main(){
int a,b,x,y;
scanf("%d%d",&a,&b);
scanf("%d%d",&x,&y);
if(a==x && (b-y)>0)
printf("drugi");
else if(b==y && (a-x)>0)
printf("prvi");
else if(b==y && a==x)
printf("nijedan");
else
printf("?");
}